VerificationWrapper
Date: 2015-09-18

org.mockito.verification

## Class VerificationWrapper<WrapperType extends VerificationMode>

- java.lang.Object
- - org.mockito.verification.VerificationWrapper<WrapperType>

- All Implemented Interfaces:
    VerificationMode
  Direct Known Subclasses:
    After, Timeout

      public abstract class VerificationWrapper<WrapperType extends VerificationMode>
      extends java.lang.Object
      implements VerificationMode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WrapperType` | `wrappedVerification`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerificationWrapper(WrapperType wrappedVerification)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VerificationMode` | `atLeast(int minNumberOfInvocations)`
    `VerificationMode` | `atLeastOnce()`
    `VerificationMode` | `atMost(int maxNumberOfInvocations)`
    `protected abstract VerificationMode` | `copySelfWithNewVerificationMode(VerificationMode verificationMode)`
    `VerificationMode` | `never()`
    `VerificationMode` | `only()`
    `VerificationMode` | `times(int wantedNumberOfInvocations)`
    `void` | `verify(VerificationData data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wrappedVerification

          protected final WrapperType extends VerificationMode wrappedVerification

  - ### Constructor Detail

    - #### VerificationWrapper

          public VerificationWrapper(WrapperType wrappedVerification)

  - ### Method Detail

    - #### verify

          public void verify(VerificationData data)

      Specified by:
        `verify` in interface `VerificationMode`

    - #### copySelfWithNewVerificationMode

          protected abstract VerificationMode copySelfWithNewVerificationMode(VerificationMode verificationMode)

    - #### times

          public VerificationMode times(int wantedNumberOfInvocations)

    - #### never

          public VerificationMode never()

    - #### atLeastOnce

          public VerificationMode atLeastOnce()

    - #### atLeast

          public VerificationMode atLeast(int minNumberOfInvocations)

    - #### atMost

          public VerificationMode atMost(int maxNumberOfInvocations)

    - #### only

          public VerificationMode only()